Skip to Content

Eclipse latest version for Agentry editor?

What is the Eclipse's latest version for Agentry editor? Can we use neon?

I can see only Luna or Juno in some blogs, and even Kepler, but don't see neon.

Regards,

Sanjoy

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Best Answer
    Mar 08, 2017 at 10:12 PM

    Sanjoy,

    As far as I know, the documented support from the platform and product team is still Juno. But I personally as a support person try to test and use newer Eclipse version. This is where you have to decide if you want to play with the newer system. I am using NEON but I do see some issues here and there (crashing). At the end of the day, if you report an issue with a non-Juno to SAP there is a high chance that they (dev team) may claim that they only support Juno. Some people in dev also tries to play with newer versions of Eclipse. But again, multiple people have tried the newer versions with success. I just want to point out what is documented versus what was tried by multiple people. Again, in most of my demo I used Neon but I do see the occasional crashes here or there.

    Most of the problems of users using Juno versus the SDK versus Eclipse sometimes is pointed to the version of Java that Eclipse version supports (Make sure it jives with what SMP 3.0 SDK supports).

    Regards,

    Mark Pe
    SAP Platinum Support Engineer

    Add comment
    10|10000 characters needed characters exceeded

  • Mar 09, 2017 at 04:39 AM

    Officially the Editor only supports Juno. With Juno I would also strongly recommend using Java 1.7 (not 1.8 or higher) as there are issues that have been reported (crashes primarily) that go away once switching back to Java 1.7.

    I personally run Neon EE Edition (requires Java 1.8) and have not had any major issues but your mileage may vary. If you are going to report an editor issue I would recommend also have Juno installed and replicating the problem there before submitting a ticket.

    --Bill

    Add comment
    10|10000 characters needed characters exceeded